Opened 4 years ago

Closed 13 months ago

#2227 closed enhancement (fixed)

ffmpeg incorrectly identifying mjpeg as video stream instead of attachment

Reported by: ramitbhalla Owned by:
Priority: wish Component: ffmpeg
Version: git-master Keywords: wtv
Cc: harry.tipper@aol.com Blocked By:
Blocking: Reproduced by developer: no
Analyzed by developer: no

Description

Summary of the bug: the new versions of ffmpeg have incorrectly started identifying mjpeg as a video stream which is creating havoc with the overlying programs since they are expecting only 1 video stream.

How to reproduce:

ffmpeg -i "..\Wrong Audio Track Selected - Hearing impaired.wtv"
ffmpeg version N-49527-g985e93a Copyright (c) 2000-2013 the FFmpeg developers
  built on Feb  1 2013 18:41:39 with gcc 4.7.2 (GCC)
  configuration: --enable-gpl --enable-version3 --disable-w32threads --enable-avisynth --enable-bzlib --enable-fontconfi
g --enable-frei0r --enable-gnutls --enable-libass --enable-libbluray --enable-libcaca --enable-libfreetype --enable-libg
sm --enable-libmp3lame --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libopenjpeg --enable-libopus --ena
ble-librtmp --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libtwolame --enable-libvo-aacenc --en
able-libvo-amrwbenc --enable-libvorbis --enable-libvpx --enable-libx264 --enable-libxavs --enable-libxvid --enable-zlib
  libavutil      52. 17.100 / 52. 17.100
  libavcodec     54. 91.100 / 54. 91.100
  libavformat    54. 61.104 / 54. 61.104
  libavdevice    54.  3.103 / 54.  3.103
  libavfilter     3. 35.100 /  3. 35.100
  libswscale      2.  2.100 /  2.  2.100
  libswresample   0. 17.102 /  0. 17.102
  libpostproc    52.  2.100 / 52.  2.100
[wtv @ 02d4e9e0] truncated file
    Last message repeated 3 times
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS referenced
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] no frame!
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS referenced
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] no frame!
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS referenced
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] no frame!
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS referenced
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] no frame!
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS referenced
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] no frame!
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS referenced
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] no frame!
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS referenced
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] no frame!
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS referenced
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] no frame!
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS referenced
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] no frame!
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS referenced
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] no frame!
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS referenced
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] no frame!
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS referenced
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] no frame!
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS referenced
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] no frame!
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS referenced
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] no frame!
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS referenced
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] no frame!
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS referenced
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] no frame!
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS referenced
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] no frame!
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS referenced
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] no frame!
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS referenced
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] no frame!
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS referenced
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] no frame!
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS referenced
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] no frame!
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS referenced
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] no frame!
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS referenced
[h264 @ 0025d060] non-existing SPS 0 referenced in buffering period
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] non-existing PPS 0 referenced
[h264 @ 0025d060] decode_slice_header error
[h264 @ 0025d060] no frame!
[h264 @ 0025d060] mmco: unref short failure
    Last message repeated 2 times
[wtv @ 02d4e9e0] max_analyze_duration 5000000 reached at 5013326 microseconds
Input #0, wtv, from '..\Wrong Audio Track Selected - Hearing impaired.wtv':
  Metadata:
    WM/MediaClassPrimaryID: db9830bd-3ab3-4fab-8a371a995f7ff74
    WM/MediaClassSecondaryID: ba7f258a-62f7-47a9-b21f4651c42a000
    Title           : Ripper Street
    WM/SubTitle     : I Need Light
    WM/SubTitleDescription: Crime drama set in Victorian London. A young woman is found brutally murdered, the hallmark
signs of the Ripper upon her. One-time H Division boss Chief Inspector Frederick Abberline believes that Jack has return
ed, but Reid - the precinct's new master -
    genre           : Drama;Other
    WM/OriginalReleaseTime: 0
    WM/MediaCredits : Matthew Macfadyen/Jerome Flynn/Adam Rothenberg/MyAnna Buring/Jonathan Barnwell/Clive Russell/David
 Wilmot/David Dawson/Charlene McKenna/Amanda Hale/Steven Robertson/Mark Dexter/Geoff Bell/Julian Bleach/Morgan Jones/Gar
ry Mountaine/Sarah Gallagher/Bush Mou
    service_provider: BBC One HD
    service_name    : BBC One HD
    WM/MediaOriginalChannel: 101
    WM/MediaOriginalChannelSubNumber: 0
    WM/MediaOriginalBroadcastDateTime: 2012-12-30T00:00:00Z
    WM/MediaOriginalRunTime: 38963956829
    WM/MediaIsStereo: false
    WM/MediaIsRepeat: false
    WM/MediaIsLive  : false
    WM/MediaIsTape  : false
    WM/MediaIsDelay : false
    WM/MediaIsSubtitled: false
    WM/MediaIsMovie : false
    WM/MediaIsPremiere: false
    WM/MediaIsFinale: false
    WM/MediaIsSAP   : false
    WM/MediaIsSport : false
    WM/Provider     : MediaCenterDefault
    WM/VideoClosedCaptioning: false
    WM/WMRVEncodeTime: 2012-12-30 20:58:03
    WM/WMRVSeriesUID: !GenericSeries!Ripper Street
    WM/WMRVServiceID: !MCService!759242
    WM/WMRVProgramID: !MCProgram!48631413
    WM/WMRVRequestID: 0
    WM/WMRVScheduleItemID: 0
    WM/WMRVQuality  : 3
    WM/WMRVOriginalSoftPrePadding: 420
    WM/WMRVOriginalSoftPostPadding: 180
    WM/WMRVHardPrePadding: -300
    WM/WMRVHardPostPadding: 0
    WM/WMRVATSCContent: false
    WM/WMRVDTVContent: true
    WM/WMRVHDContent: false
    Duration        : 38973390000
    WM/WMRVEndTime  : 2012-12-30 22:03:00
    WM/WMRVBitrate  : 7.082451
    WM/WMRVKeepUntil: 0
    WM/WMRVActualSoftPrePadding: 416
    WM/WMRVActualSoftPostPadding: 180
    WM/WMRVContentProtected: false
    WM/WMRVContentProtectedPercent: 0
    WM/WMRVExpirationSpan: 9223372036854775807
    WM/WMRVInBandRatingSystem: 255
    WM/WMRVInBandRatingLevel: 255
    WM/WMRVInBandRatingAttributes: 0
    WM/WMRVWatched  : false
    WM/MediaThumbWidth: 352
    WM/MediaThumbHeight: 198
    WM/MediaThumbStride: 1056
    WM/MediaThumbRet: 0
    WM/MediaThumbRatingSystem: 255
    WM/MediaThumbRatingLevel: 255
    WM/MediaThumbRatingAttributes: 0
    WM/MediaThumbAspectRatioX: 1920
    WM/MediaThumbAspectRatioY: 1080
    WM/MediaThumbTimeStamp: -4616189618054758400
  Duration: 01:05:03.16, start: 2.000998, bitrate: 7071 kb/s
    Stream #0:0[0x97](eng): Subtitle: dvb_subtitle
    Stream #0:1[0x98](eng): Audio: aac_latm ([2][22][0][0] / 0x1602), 48000 Hz, stereo, fltp (hearing impaired)
    Stream #0:2[0x99](eng): Audio: aac_latm ([2][22][0][0] / 0x1602), 48000 Hz, stereo, fltp
    Stream #0:3[0x9a]: Video: h264 (High), yuv420p, 1920x1080 [SAR 1:1 DAR 16:9], 25 fps, 50 tbr, 10000k tbn, 50 tbc
    Stream #0:4[0x0]: Video: mjpeg, yuvj420p, 200x113 [SAR 120:120 DAR 200:113], 90k tbr, 90k tbn, 90k tbc
    Metadata:
      title           : TV Thumbnail
At least one output file must be specified
ffmpeg.2311 -i "..\Wrong Audio Track Selected - Hearing impaired.wtv"
ffmpeg version N-48065-g6375318 Copyright (c) 2000-2012 the FFmpeg developers
  built on Dec 21 2012 09:06:30 with gcc 4.7.2 (GCC)
  configuration: --enable-static --arch=x86 --target-os=mingw32 --cross-prefix=/home/rdp/dev/ffmpeg-windows-build-helper
s/sandbox/mingw-w64-i686/bin/i686-w64-mingw32- --pkg-config=pkg-config --enable-gpl --enable-libx264 --enable-avisynth -
-enable-libxvid --enable-libmp3lame --enable-version3 --enable-zlib --enable-librtmp --enable-libvorbis --enable-libtheo
ra --enable-libspeex --enable-libopenjpeg --enable-gnutls --enable-libgsm --enable-libfreetype --enable-fontconfig --ena
ble-libass --enable-libutvideo --enable-libopus --disable-w32threads --enable-frei0r --enable-filter=frei0r --enable-lib
vo-aacenc --enable-bzlib --enable-libxavs --extra-cflags=-DPTW32_STATIC_LIB --enable-libopencore-amrnb --enable-libopenc
ore-amrwb --enable-libvo-amrwbenc --enable-libschroedinger --enable-libbluray --enable-libvpx --enable-runtime-cpudetect

  libavutil      52. 12.100 / 52. 12.100
  libavcodec     54. 81.100 / 54. 81.100
  libavformat    54. 49.102 / 54. 49.102
  libavdevice    54.  3.102 / 54.  3.102
  libavfilter     3. 29.100 /  3. 29.100
  libswscale      2.  1.103 /  2.  1.103
  libswresample   0. 17.102 /  0. 17.102
  libpostproc    52.  2.100 / 52.  2.100
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS referenced
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] no frame!
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS referenced
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] no frame!
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS referenced
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] no frame!
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS referenced
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] no frame!
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS referenced
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] no frame!
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS referenced
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] no frame!
[aac_latm @ 021aeaa0] initializing latmctx
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS referenced
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] no frame!
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS referenced
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] no frame!
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS referenced
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] no frame!
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS referenced
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] no frame!
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS referenced
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] no frame!
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS referenced
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] no frame!
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS referenced
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] no frame!
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS referenced
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] no frame!
[aac_latm @ 021acf80] initializing latmctx
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS referenced
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] no frame!
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS referenced
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] no frame!
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS referenced
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] no frame!
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS referenced
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] no frame!
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS referenced
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] no frame!
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS referenced
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] no frame!
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS referenced
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] no frame!
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS referenced
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] no frame!
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS referenced
[h264 @ 021af0a0] non-existing SPS 0 referenced in buffering period
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] non-existing PPS 0 referenced
[h264 @ 021af0a0] decode_slice_header error
[h264 @ 021af0a0] no frame!
[h264 @ 021af0a0] mmco: unref short failure
    Last message repeated 2 times
Input #0, wtv, from '..\Wrong Audio Track Selected - Hearing impaired.wtv':
  Metadata:
    WM/MediaClassPrimaryID: db9830bd-3ab3-4fab-8a371a995f7ff74
    WM/MediaClassSecondaryID: ba7f258a-62f7-47a9-b21f4651c42a000
    Title           : Ripper Street
    WM/SubTitle     : I Need Light
    WM/SubTitleDescription: Crime drama set in Victorian London. A young woman is found brutally murdered, the hallmark
signs of the Ripper upon her. One-time H Division boss Chief Inspector Frederick Abberline believes that Jack has return
ed, but Reid - the precinct's new master -
    genre           : Drama;Other
    WM/OriginalReleaseTime: 0
    WM/MediaCredits : Matthew Macfadyen/Jerome Flynn/Adam Rothenberg/MyAnna Buring/Jonathan Barnwell/Clive Russell/David
 Wilmot/David Dawson/Charlene McKenna/Amanda Hale/Steven Robertson/Mark Dexter/Geoff Bell/Julian Bleach/Morgan Jones/Gar
ry Mountaine/Sarah Gallagher/Bush Mou
    service_provider: BBC One HD
    service_name    : BBC One HD
    WM/MediaOriginalChannel: 101
    WM/MediaOriginalChannelSubNumber: 0
    WM/MediaOriginalBroadcastDateTime: 2012-12-30T00:00:00Z
    WM/MediaOriginalRunTime: 38963956829
    WM/MediaIsStereo: false
    WM/MediaIsRepeat: false
    WM/MediaIsLive  : false
    WM/MediaIsTape  : false
    WM/MediaIsDelay : false
    WM/MediaIsSubtitled: false
    WM/MediaIsMovie : false
    WM/MediaIsPremiere: false
    WM/MediaIsFinale: false
    WM/MediaIsSAP   : false
    WM/MediaIsSport : false
    WM/Provider     : MediaCenterDefault
    WM/VideoClosedCaptioning: false
    WM/WMRVEncodeTime: 2012-12-30 20:58:03
    WM/WMRVSeriesUID: !GenericSeries!Ripper Street
    WM/WMRVServiceID: !MCService!759242
    WM/WMRVProgramID: !MCProgram!48631413
    WM/WMRVRequestID: 0
    WM/WMRVScheduleItemID: 0
    WM/WMRVQuality  : 3
    WM/WMRVOriginalSoftPrePadding: 420
    WM/WMRVOriginalSoftPostPadding: 180
    WM/WMRVHardPrePadding: -300
    WM/WMRVHardPostPadding: 0
    WM/WMRVATSCContent: false
    WM/WMRVDTVContent: true
    WM/WMRVHDContent: false
    Duration        : 38973390000
    WM/WMRVEndTime  : 2012-12-30 22:03:00
    WM/WMRVBitrate  : 7.082451
    WM/WMRVKeepUntil: 0
    WM/WMRVActualSoftPrePadding: 416
    WM/WMRVActualSoftPostPadding: 180
    WM/WMRVContentProtected: false
    WM/WMRVContentProtectedPercent: 0
    WM/WMRVExpirationSpan: 9223372036854775807
    WM/WMRVInBandRatingSystem: 255
    WM/WMRVInBandRatingLevel: 255
    WM/WMRVInBandRatingAttributes: 0
    WM/WMRVWatched  : false
    WM/MediaThumbWidth: 352
    WM/MediaThumbHeight: 198
    WM/MediaThumbStride: 1056
    WM/MediaThumbRet: 0
    WM/MediaThumbRatingSystem: 255
    WM/MediaThumbRatingLevel: 255
    WM/MediaThumbRatingAttributes: 0
    WM/MediaThumbAspectRatioX: 1920
    WM/MediaThumbAspectRatioY: 1080
    WM/MediaThumbTimeStamp: -4616189618054758400
    WM/MediaThumbType: 2
  Duration: 01:04:56.91, start: 2.000998, bitrate: 7083 kb/s
    Stream #0:0[0x97](eng): Subtitle: dvb_subtitle
    Stream #0:1[0x98](eng): Audio: aac_latm ([2][22][0][0] / 0x1602), 48000 Hz, stereo, fltp (hearing impaired)
    Stream #0:2[0x99](eng): Audio: aac_latm ([2][22][0][0] / 0x1602), 48000 Hz, stereo, fltp
    Stream #0:3[0x9a]: Video: h264 (High), yuv420p, 1920x1080 [SAR 1:1 DAR 16:9], 25 fps, 25 tbr, 10000k tbn, 50 tbc
    Stream #0:4[0x0]: Attachment: mjpeg
    Metadata:
      title           : TV Thumbnail
At least one output file must be specified

Marking as important since this is a regression bug.

Change History (70)

comment:1 Changed 4 years ago by cehoyos

  • Priority changed from important to normal

comment:2 Changed 4 years ago by cehoyos

Please provide a failing command line together with complete, uncut console output.

comment:3 Changed 4 years ago by ramitbhalla

NOTE: I have marked it regression since this issue did not exist with the Dec 21st build, who's output I've posted above.
I wanted to update ffmpeg to get the latest fix on the ticket #2133 and this thing just created havoc and everything started failing.

It's not just a failing command (which I'll post), it just created a whole bunch of issues which I'll try to outline below (all because it incorrectly identified a mjpeg attachment as a video stream).

  1. Just a simple stream copy - it tries to copy the mjpeg as a video stream so the output should have 2 video streams right?
ffmpeg -i "..\Remuxsupp fail H264 Wrong Audio Stream Selected Handbrake.wtv" -vcode
c copy -acodec copy -map 0:a -map 0:v test.ts
ffmpeg version N-49527-g985e93a Copyright (c) 2000-2013 the FFmpeg developers
  built on Feb  1 2013 18:41:39 with gcc 4.7.2 (GCC)
  configuration: --enable-gpl --enable-version3 --disable-w32threads --enable-avisynth --enable-bzlib --enable-fontconfi
g --enable-frei0r --enable-gnutls --enable-libass --enable-libbluray --enable-libcaca --enable-libfreetype --enable-libg
sm --enable-libmp3lame --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libopenjpeg --enable-libopus --ena
ble-librtmp --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libtwolame --enable-libvo-aacenc --en
able-libvo-amrwbenc --enable-libvorbis --enable-libvpx --enable-libx264 --enable-libxavs --enable-libxvid --enable-zlib
  libavutil      52. 17.100 / 52. 17.100
  libavcodec     54. 91.100 / 54. 91.100
  libavformat    54. 61.104 / 54. 61.104
  libavdevice    54.  3.103 / 54.  3.103
  libavfilter     3. 35.100 /  3. 35.100
  libswscale      2.  2.100 /  2.  2.100
  libswresample   0. 17.102 /  0. 17.102
  libpostproc    52.  2.100 / 52.  2.100
[wtv @ 002db640] truncated file
[wtv @ 002db640] reported file length (0xce1f53df) exceeds number of available sectors (0x50000000)
[wtv @ 002db640] truncated file
    Last message repeated 2 times
[mjpeg @ 02e43f40] overread 8
[h264 @ 002d3040] non-existing SPS 0 referenced in buffering period
[h264 @ 002d3040] non-existing PPS referenced
[h264 @ 002d3040] non-existing SPS 0 referenced in buffering period
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] no frame!
[h264 @ 002d3040] non-existing SPS 0 referenced in buffering period
[h264 @ 002d3040] non-existing PPS referenced
[h264 @ 002d3040] non-existing SPS 0 referenced in buffering period
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] no frame!
[h264 @ 002d3040] non-existing SPS 0 referenced in buffering period
[h264 @ 002d3040] non-existing PPS referenced
[h264 @ 002d3040] non-existing SPS 0 referenced in buffering period
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] no frame!
[h264 @ 002d3040] non-existing SPS 0 referenced in buffering period
[h264 @ 002d3040] non-existing PPS referenced
[h264 @ 002d3040] non-existing SPS 0 referenced in buffering period
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] no frame!
[h264 @ 002d3040] non-existing SPS 0 referenced in buffering period
[h264 @ 002d3040] non-existing PPS referenced
[h264 @ 002d3040] non-existing SPS 0 referenced in buffering period
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] no frame!
[h264 @ 002d3040] non-existing SPS 0 referenced in buffering period
[h264 @ 002d3040] non-existing PPS referenced
[h264 @ 002d3040] non-existing SPS 0 referenced in buffering period
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] no frame!
[h264 @ 002d3040] non-existing SPS 0 referenced in buffering period
[h264 @ 002d3040] non-existing PPS referenced
[h264 @ 002d3040] non-existing SPS 0 referenced in buffering period
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] no frame!
[h264 @ 002d3040] non-existing SPS 0 referenced in buffering period
[h264 @ 002d3040] non-existing PPS referenced
[h264 @ 002d3040] non-existing SPS 0 referenced in buffering period
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] no frame!
[h264 @ 002d3040] non-existing SPS 0 referenced in buffering period
[h264 @ 002d3040] non-existing PPS referenced
[h264 @ 002d3040] non-existing SPS 0 referenced in buffering period
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] no frame!
[h264 @ 002d3040] non-existing SPS 0 referenced in buffering period
[h264 @ 002d3040] non-existing PPS referenced
[h264 @ 002d3040] non-existing SPS 0 referenced in buffering period
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] no frame!
[h264 @ 002d3040] non-existing SPS 0 referenced in buffering period
[h264 @ 002d3040] non-existing PPS referenced
[h264 @ 002d3040] non-existing SPS 0 referenced in buffering period
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] no frame!
[h264 @ 002d3040] non-existing SPS 0 referenced in buffering period
[h264 @ 002d3040] non-existing PPS referenced
[h264 @ 002d3040] non-existing SPS 0 referenced in buffering period
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] no frame!
[h264 @ 002d3040] non-existing SPS 0 referenced in buffering period
[h264 @ 002d3040] non-existing PPS referenced
[h264 @ 002d3040] non-existing SPS 0 referenced in buffering period
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] no frame!
[h264 @ 002d3040] non-existing SPS 0 referenced in buffering period
[h264 @ 002d3040] non-existing PPS referenced
[h264 @ 002d3040] non-existing SPS 0 referenced in buffering period
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] no frame!
[h264 @ 002d3040] non-existing SPS 0 referenced in buffering period
[h264 @ 002d3040] non-existing PPS referenced
[h264 @ 002d3040] non-existing SPS 0 referenced in buffering period
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] no frame!
[h264 @ 002d3040] non-existing SPS 0 referenced in buffering period
[h264 @ 002d3040] non-existing PPS referenced
[h264 @ 002d3040] non-existing SPS 0 referenced in buffering period
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] non-existing PPS 0 referenced
[h264 @ 002d3040] decode_slice_header error
[h264 @ 002d3040] no frame!
[h264 @ 002d3040] mmco: unref short failure
    Last message repeated 2 times
[wtv @ 002db640] max_analyze_duration 5000000 reached at 5013326 microseconds
Input #0, wtv, from '..\Remuxsupp fail H264 Wrong Audio Stream Selected Handbrake.wtv':
  Metadata:
    Tuner ID        : C0D840BC-B83F-4527-ACDA-F477C73253AE
    WM/MediaClassPrimaryID: db9830bd-3ab3-4fab-8a371a995f7ff74
    WM/MediaClassSecondaryID: ba7f258a-62f7-47a9-b21f4651c42a000
    Title           : Ski Sunday
    WM/SubTitleDescription: Ski Sunday comes from the Mecca of skiing, Kitzbuhel. The best downhill skiers in the world
race the Streif, the most dangerous and terrifying course in the world. For the last three years the great Didier Cuche
has been king of the mountain known as the
    genre           : Sports;Winter Sports
    WM/OriginalReleaseTime: 0
    WM/MediaCredits : ;;Ed Leigh/Graham Bell;
    service_provider: BBC HD
    service_name    : BBC HD
    WM/MediaOriginalChannel: 31
    WM/MediaOriginalChannelSubNumber: 0
    WM/MediaOriginalBroadcastDateTime: 2013-01-27T00:00:00Z
    WM/MediaOriginalRunTime: 29925801791
    WM/MediaIsStereo: false
    WM/MediaIsRepeat: false
    WM/MediaIsLive  : false
    WM/MediaIsTape  : false
    WM/MediaIsDelay : false
    WM/MediaIsSubtitled: false
    WM/MediaIsMovie : false
    WM/MediaIsPremiere: false
    WM/MediaIsFinale: false
    WM/MediaIsSAP   : false
    WM/MediaIsSport : true
    WM/Provider     : MediaCenterDefault
    WM/VideoClosedCaptioning: false
    WM/WMRVEncodeTime: 2013-01-27 17:13:07
    WM/WMRVSeriesUID: !GenericSeries!Ski Sunday
    WM/WMRVServiceID: !MCService!755567
    WM/WMRVProgramID: !MCProgram!49373855
    WM/WMRVRequestID: 0
    WM/WMRVScheduleItemID: 0
    WM/WMRVQuality  : 0
    WM/WMRVOriginalSoftPrePadding: 420
    WM/WMRVOriginalSoftPostPadding: 180
    WM/WMRVHardPrePadding: -300
    WM/WMRVHardPostPadding: 0
    WM/WMRVATSCContent: false
    WM/WMRVDTVContent: true
    WM/WMRVHDContent: true
  Duration: 00:19:17.46, start: 1.470995, bitrate: 2301 kb/s
    Stream #0:0[0x3e](eng): Subtitle: dvb_subtitle
    Stream #0:1[0x3f](eng): Audio: aac_latm ([2][22][0][0] / 0x1602), 48000 Hz, stereo, fltp (hearing impaired)
    Stream #0:2[0x40]: Video: h264 (High), yuv420p, 1920x1080 [SAR 1:1 DAR 16:9], 25 fps, 25 tbr, 10000k tbn, 50 tbc
    Stream #0:3[0x41](eng): Audio: aac_latm ([2][22][0][0] / 0x1602), 48000 Hz, stereo, fltp
    Stream #0:4[0x0]: Video: mjpeg, yuvj420p, 200x113 [SAR 96:96 DAR 200:113], 90k tbr, 90k tbn, 90k tbc
    Metadata:
      title           : TV Thumbnail
Output #0, mpegts, to 'test.ts':
  Metadata:
    Tuner ID        : C0D840BC-B83F-4527-ACDA-F477C73253AE
    WM/MediaClassPrimaryID: db9830bd-3ab3-4fab-8a371a995f7ff74
    WM/MediaClassSecondaryID: ba7f258a-62f7-47a9-b21f4651c42a000
    Title           : Ski Sunday
    WM/SubTitleDescription: Ski Sunday comes from the Mecca of skiing, Kitzbuhel. The best downhill skiers in the world
race the Streif, the most dangerous and terrifying course in the world. For the last three years the great Didier Cuche
has been king of the mountain known as the
    genre           : Sports;Winter Sports
    WM/OriginalReleaseTime: 0
    WM/MediaCredits : ;;Ed Leigh/Graham Bell;
    service_provider: BBC HD
    service_name    : BBC HD
    WM/MediaOriginalChannel: 31
    WM/MediaOriginalChannelSubNumber: 0
    WM/MediaOriginalBroadcastDateTime: 2013-01-27T00:00:00Z
    WM/MediaOriginalRunTime: 29925801791
    WM/MediaIsStereo: false
    WM/MediaIsRepeat: false
    WM/MediaIsLive  : false
    WM/MediaIsTape  : false
    WM/MediaIsDelay : false
    WM/MediaIsSubtitled: false
    WM/MediaIsMovie : false
    WM/MediaIsPremiere: false
    WM/MediaIsFinale: false
    WM/MediaIsSAP   : false
    WM/MediaIsSport : true
    WM/Provider     : MediaCenterDefault
    WM/VideoClosedCaptioning: false
    WM/WMRVEncodeTime: 2013-01-27 17:13:07
    WM/WMRVSeriesUID: !GenericSeries!Ski Sunday
    WM/WMRVServiceID: !MCService!755567
    WM/WMRVProgramID: !MCProgram!49373855
    WM/WMRVRequestID: 0
    WM/WMRVScheduleItemID: 0
    WM/WMRVQuality  : 0
    WM/WMRVOriginalSoftPrePadding: 420
    WM/WMRVOriginalSoftPostPadding: 180
    WM/WMRVHardPrePadding: -300
    WM/WMRVHardPostPadding: 0
    WM/WMRVATSCContent: false
    WM/WMRVDTVContent: true
    WM/WMRVHDContent: true
    encoder         : Lavf54.61.104
    Stream #0:0(eng): Audio: aac_latm ([2][22][0][0] / 0x1602), 48000 Hz, stereo (hearing impaired)
    Stream #0:1(eng): Audio: aac_latm ([2][22][0][0] / 0x1602), 48000 Hz, stereo
    Stream #0:2: Video: h264, yuv420p, 1920x1080 [SAR 1:1 DAR 16:9], q=2-31, 25 fps, 90k tbn, 25 tbc
    Stream #0:3: Video: mjpeg, yuvj420p, 200x113 [SAR 96:96 DAR 200:113], q=2-31, 90k tbn, 90k tbc
    Metadata:
      title           : TV Thumbnail
Stream mapping:
  Stream #0:1 -> #0:0 (copy)
  Stream #0:3 -> #0:1 (copy)
  Stream #0:2 -> #0:2 (copy)
  Stream #0:4 -> #0:3 (copy)
Press [q] to stop, [?] for help
[mpegts @ 03b0ea40] st:0 PTS: 252527 DTS: 238127 < 241728 invalid, clipping
st:0 PTS: 8032127 DTS: 8032127 < 8039328 invalid, clipping00:50.76 bitrate=   0.7kbits/s
[mpegts @ 03b0ea40] st:0 PTS: 8033927 DTS: 8033927 < 8039329 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 8028527 DTS: 8028527 < 8039330 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 8030327 DTS: 8030327 < 8039331 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 8035727 DTS: 8035727 < 8039332 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 8037527 DTS: 8037527 < 8039333 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 8042927 DTS: 8042927 < 8046528 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 8044727 DTS: 8044727 < 8046529 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 8057327 DTS: 8057327 < 8060928 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 8059127 DTS: 8059127 < 8060929 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 8071727 DTS: 8071727 < 8075328 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 8073527 DTS: 8073527 < 8075329 invalid, clipping
st:0 PTS: 9245327 DTS: 9245327 < 9248928 invalid, clipping:01:31.48 bitrate=   0.4kbits/s
[mpegts @ 03b0ea40] st:0 PTS: 9247127 DTS: 9247127 < 9248929 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 9720527 DTS: 9720527 < 9724128 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 9749327 DTS: 9749327 < 9752928 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 9751127 DTS: 9751127 < 9752929 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 9763727 DTS: 9763727 < 9767328 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 9765527 DTS: 9765527 < 9767329 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 9778127 DTS: 9778127 < 9781728 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 9779927 DTS: 9779927 < 9781729 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 9792527 DTS: 9792527 < 9796128 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 9794327 DTS: 9794327 < 9796129 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 9806927 DTS: 9806927 < 9810528 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 9808727 DTS: 9808727 < 9810529 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 9821327 DTS: 9821327 < 9824928 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 9823127 DTS: 9823127 < 9824929 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 11970527 DTS: 11970527 < 11974128 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 11972327 DTS: 11972327 < 11974129 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 11984927 DTS: 11984927 < 11988528 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 11986727 DTS: 11986727 < 11988529 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 12049727 DTS: 12049727 < 12053328 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 12082127 DTS: 12082127 < 12089328 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 12083927 DTS: 12083927 < 12089329 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 12078527 DTS: 12078527 < 12089330 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 12080327 DTS: 12080327 < 12089331 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 12085727 DTS: 12085727 < 12089332 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 12087527 DTS: 12087527 < 12089333 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 12092927 DTS: 12092927 < 12096528 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 12094727 DTS: 12094727 < 12096529 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 12193727 DTS: 12193727 < 12200928 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 12195527 DTS: 12195527 < 12200929 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 12190127 DTS: 12190127 < 12200930 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 12191927 DTS: 12191927 < 12200931 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 12197327 DTS: 12197327 < 12200932 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 12199127 DTS: 12199127 < 12200933 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 12204527 DTS: 12204527 < 12208128 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 12206327 DTS: 12206327 < 12208129 invalid, clipping
st:0 PTS: 16960127 DTS: 16960127 < 16963728 invalid, clipping:50.64 bitrate=   0.2kbits/s
[mpegts @ 03b0ea40] st:0 PTS: 16961927 DTS: 16961927 < 16963729 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 16974527 DTS: 16974527 < 16978128 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 16976327 DTS: 16976327 < 16978129 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 16988927 DTS: 16988927 < 16992528 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 16990727 DTS: 16990727 < 16992529 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 17006927 DTS: 17006927 < 17014128 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 17008727 DTS: 17008727 < 17014129 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 17003327 DTS: 17003327 < 17014130 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 17005127 DTS: 17005127 < 17014131 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 17010527 DTS: 17010527 < 17014132 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 17012327 DTS: 17012327 < 17014133 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 17017727 DTS: 17017727 < 17021328 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 17019527 DTS: 17019527 < 17021329 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18382127 DTS: 18382127 < 18389328 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18383927 DTS: 18383927 < 18389329 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18378527 DTS: 18378527 < 18389330 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18380327 DTS: 18380327 < 18389331 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18385727 DTS: 18385727 < 18389332 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18387527 DTS: 18387527 < 18389333 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18392927 DTS: 18392927 < 18396528 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18394727 DTS: 18394727 < 18396529 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18410927 DTS: 18410927 < 18418128 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18412727 DTS: 18412727 < 18418129 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18407327 DTS: 18407327 < 18418130 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18409127 DTS: 18409127 < 18418131 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18414527 DTS: 18414527 < 18418132 invalid, clipping
st:0 PTS: 18416327 DTS: 18416327 < 18418133 invalid, clipping:24.68 bitrate=   0.2kbits/s
[mpegts @ 03b0ea40] st:0 PTS: 18421727 DTS: 18421727 < 18425328 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18423527 DTS: 18423527 < 18425329 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18439727 DTS: 18439727 < 18446928 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18441527 DTS: 18441527 < 18446929 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18436127 DTS: 18436127 < 18446930 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18437927 DTS: 18437927 < 18446931 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18443327 DTS: 18443327 < 18446932 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18445127 DTS: 18445127 < 18446933 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18450527 DTS: 18450527 < 18454128 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18452327 DTS: 18452327 < 18454129 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18464927 DTS: 18464927 < 18468528 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18466727 DTS: 18466727 < 18468529 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18770927 DTS: 18770927 < 18778128 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18772727 DTS: 18772727 < 18778129 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18767327 DTS: 18767327 < 18778130 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18769127 DTS: 18769127 < 18778131 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18774527 DTS: 18774527 < 18778132 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18776327 DTS: 18776327 < 18778133 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18781727 DTS: 18781727 < 18785328 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18783527 DTS: 18783527 < 18785329 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18799727 DTS: 18799727 < 18806928 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18801527 DTS: 18801527 < 18806929 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18796127 DTS: 18796127 < 18806930 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18797927 DTS: 18797927 < 18806931 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18803327 DTS: 18803327 < 18806932 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18805127 DTS: 18805127 < 18806933 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18810527 DTS: 18810527 < 18814128 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18812327 DTS: 18812327 < 18814129 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18828527 DTS: 18828527 < 18835728 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18830327 DTS: 18830327 < 18835729 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18824927 DTS: 18824927 < 18835730 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18826727 DTS: 18826727 < 18835731 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18832127 DTS: 18832127 < 18835732 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18833927 DTS: 18833927 < 18835733 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18839327 DTS: 18839327 < 18842928 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18841127 DTS: 18841127 < 18842929 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18857327 DTS: 18857327 < 18864528 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18859127 DTS: 18859127 < 18864529 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18853727 DTS: 18853727 < 18864530 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18855527 DTS: 18855527 < 18864531 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18860927 DTS: 18860927 < 18864532 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18862727 DTS: 18862727 < 18864533 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18868127 DTS: 18868127 < 18871728 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18869927 DTS: 18869927 < 18871729 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18886127 DTS: 18886127 < 18893328 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18887927 DTS: 18887927 < 18893329 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18882527 DTS: 18882527 < 18893330 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18884327 DTS: 18884327 < 18893331 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18889727 DTS: 18889727 < 18893332 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18891527 DTS: 18891527 < 18893333 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18896927 DTS: 18896927 < 18900528 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 18898727 DTS: 18898727 < 18900529 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 21226127 DTS: 21226127 < 21229728 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 21227927 DTS: 21227927 < 21229729 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 21240527 DTS: 21240527 < 21244128 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 21242327 DTS: 21242327 < 21244129 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 21276527 DTS: 21276527 < 21280128 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 21278327 DTS: 21278327 < 21280129 invalid, clipping
st:0 PTS: 21427727 DTS: 21427727 < 21431328 invalid, clipping:58.08 bitrate=   0.1kbits/s
[mpegts @ 03b0ea40] st:0 PTS: 21429527 DTS: 21429527 < 21431329 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 21539327 DTS: 21539327 < 21546528 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 21541127 DTS: 21541127 < 21546529 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 21535727 DTS: 21535727 < 21546530 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 21537527 DTS: 21537527 < 21546531 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 21542927 DTS: 21542927 < 21546532 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 21544727 DTS: 21544727 < 21546533 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 21550127 DTS: 21550127 < 21553728 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 21551927 DTS: 21551927 < 21553729 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 21568127 DTS: 21568127 < 21575328 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 21569927 DTS: 21569927 < 21575329 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 21564527 DTS: 21564527 < 21575330 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 21566327 DTS: 21566327 < 21575331 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 21571727 DTS: 21571727 < 21575332 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 21573527 DTS: 21573527 < 21575333 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 21578927 DTS: 21578927 < 21582528 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 21580727 DTS: 21580727 < 21582529 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 25135727 DTS: 25135727 < 25142928 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 25137527 DTS: 25137527 < 25142929 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 25132127 DTS: 25132127 < 25142930 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 25133927 DTS: 25133927 < 25142931 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 25139327 DTS: 25139327 < 25142932 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 25141127 DTS: 25141127 < 25142933 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 25146527 DTS: 25146527 < 25150128 invalid, clipping
[mpegts @ 03b0ea40] st:0 PTS: 25148327 DTS: 25148327 < 25150129 invalid, clipping
frame= 7949 fps=1389 q=-1.0 Lq=-1.0 size=  324101kB time=00:05:05.24 bitrate=8698.0kbits/s
video:292623kB audio:7190kB subtitle:0 global headers:0kB muxing overhead 8.101085%

See the output below

ffmpeg -i test.ts

ffmpeg version N-49527-g985e93a Copyright (c) 2000-2013 the FFmpeg developers
  built on Feb  1 2013 18:41:39 with gcc 4.7.2 (GCC)
  configuration: --enable-gpl --enable-version3 --disable-w32threads --enable-avisynth --enable-bzlib --enable-fontconfi
g --enable-frei0r --enable-gnutls --enable-libass --enable-libbluray --enable-libcaca --enable-libfreetype --enable-libg
sm --enable-libmp3lame --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libopenjpeg --enable-libopus --ena
ble-librtmp --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libtwolame --enable-libvo-aacenc --en
able-libvo-amrwbenc --enable-libvorbis --enable-libvpx --enable-libx264 --enable-libxavs --enable-libxvid --enable-zlib
  libavutil      52. 17.100 / 52. 17.100
  libavcodec     54. 91.100 / 54. 91.100
  libavformat    54. 61.104 / 54. 61.104
  libavdevice    54.  3.103 / 54.  3.103
  libavfilter     3. 35.100 /  3. 35.100
  libswscale      2.  2.100 /  2.  2.100
  libswresample   0. 17.102 /  0. 17.102
  libpostproc    52.  2.100 / 52.  2.100
[h264 @ 02e65380] mmco: unref short failure
    Last message repeated 2 times
[mpegts @ 002e7a40] max_analyze_duration 5000000 reached at 5013333 microseconds
[mpegts @ 002e7a40] Could not find codec parameters for stream 3 (Audio: aac_latm ([6][0][0][0] / 0x0006), 0 channels):
unspecified sample format
Consider increasing the value for the 'analyzeduration' and 'probesize' options
[NULL @ 002e2d60] start time is not set in estimate_timings_from_pts
Input #0, mpegts, from 'test.ts':
  Duration: 00:05:05.53, start: 1.400000, bitrate: 8690 kb/s
  Program 1
    Metadata:
      service_name    : BBC HD
      service_provider: BBC HD
    Stream #0:0[0x100](eng): Audio: aac_latm ([17][0][0][0] / 0x0011), 48000 Hz, stereo, fltp (hearing impaired)
    Stream #0:1[0x101](eng): Audio: aac_latm ([17][0][0][0] / 0x0011), 48000 Hz, stereo, fltp
    Stream #0:2[0x102]: Video: h264 (High) ([27][0][0][0] / 0x001B), yuv420p, 1920x1080 [SAR 1:1 DAR 16:9], 25 fps, 25 t
br, 90k tbn, 50 tbc
    Stream #0:3[0x103]: Audio: aac_latm ([6][0][0][0] / 0x0006), 0 channels
At least one output file must be specified

That's just the starters, now comes the good stuff when everything fall apart (again, this is just one of 40 odd use cases that are failing)

  1. Here I try to recode the stream to mpeg2video so that 3rd party tools can work on it. I end up with 2 video streams! Obviously as you'll it breaks the 3rd party tools (the 2nd video stream is not really a video stream). Infact it even breaks ffmpeg when I try to trim the file. See below
ffmpeg -i "..\Remuxsupp fail H264 Wrong Audio Stream Selected Handbrake.wtv" -vcode
c mpeg2video -acodec copy -map 0:a -map 0:v test.ts
ffmpeg version N-49527-g985e93a Copyright (c) 2000-2013 the FFmpeg developers
  built on Feb  1 2013 18:41:39 with gcc 4.7.2 (GCC)
  configuration: --enable-gpl --enable-version3 --disable-w32threads --enable-avisynth --enable-bzlib --enable-fontconfi
g --enable-frei0r --enable-gnutls --enable-libass --enable-libbluray --enable-libcaca --enable-libfreetype --enable-libg
sm --enable-libmp3lame --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libopenjpeg --enable-libopus --ena
ble-librtmp --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libtwolame --enable-libvo-aacenc --en
able-libvo-amrwbenc --enable-libvorbis --enable-libvpx --enable-libx264 --enable-libxavs --enable-libxvid --enable-zlib
  libavutil      52. 17.100 / 52. 17.100
  libavcodec     54. 91.100 / 54. 91.100
  libavformat    54. 61.104 / 54. 61.104
  libavdevice    54.  3.103 / 54.  3.103
  libavfilter     3. 35.100 /  3. 35.100
  libswscale      2.  2.100 /  2.  2.100
  libswresample   0. 17.102 /  0. 17.102
  libpostproc    52.  2.100 / 52.  2.100
[wtv @ 0320ea60] truncated file
[wtv @ 0320ea60] reported file length (0xce1f53df) exceeds number of available sectors (0x50000000)
[wtv @ 0320ea60] truncated file
    Last message repeated 2 times
[mjpeg @ 002fcc60] overread 8
[h264 @ 002f3060] non-existing SPS 0 referenced in buffering period
[h264 @ 002f3060] non-existing PPS referenced
[h264 @ 002f3060] non-existing SPS 0 referenced in buffering period
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] no frame!
[h264 @ 002f3060] non-existing SPS 0 referenced in buffering period
[h264 @ 002f3060] non-existing PPS referenced
[h264 @ 002f3060] non-existing SPS 0 referenced in buffering period
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] no frame!
[h264 @ 002f3060] non-existing SPS 0 referenced in buffering period
[h264 @ 002f3060] non-existing PPS referenced
[h264 @ 002f3060] non-existing SPS 0 referenced in buffering period
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] no frame!
[h264 @ 002f3060] non-existing SPS 0 referenced in buffering period
[h264 @ 002f3060] non-existing PPS referenced
[h264 @ 002f3060] non-existing SPS 0 referenced in buffering period
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] no frame!
[h264 @ 002f3060] non-existing SPS 0 referenced in buffering period
[h264 @ 002f3060] non-existing PPS referenced
[h264 @ 002f3060] non-existing SPS 0 referenced in buffering period
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] no frame!
[h264 @ 002f3060] non-existing SPS 0 referenced in buffering period
[h264 @ 002f3060] non-existing PPS referenced
[h264 @ 002f3060] non-existing SPS 0 referenced in buffering period
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] no frame!
[h264 @ 002f3060] non-existing SPS 0 referenced in buffering period
[h264 @ 002f3060] non-existing PPS referenced
[h264 @ 002f3060] non-existing SPS 0 referenced in buffering period
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] no frame!
[h264 @ 002f3060] non-existing SPS 0 referenced in buffering period
[h264 @ 002f3060] non-existing PPS referenced
[h264 @ 002f3060] non-existing SPS 0 referenced in buffering period
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] no frame!
[h264 @ 002f3060] non-existing SPS 0 referenced in buffering period
[h264 @ 002f3060] non-existing PPS referenced
[h264 @ 002f3060] non-existing SPS 0 referenced in buffering period
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] no frame!
[h264 @ 002f3060] non-existing SPS 0 referenced in buffering period
[h264 @ 002f3060] non-existing PPS referenced
[h264 @ 002f3060] non-existing SPS 0 referenced in buffering period
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] no frame!
[h264 @ 002f3060] non-existing SPS 0 referenced in buffering period
[h264 @ 002f3060] non-existing PPS referenced
[h264 @ 002f3060] non-existing SPS 0 referenced in buffering period
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] no frame!
[h264 @ 002f3060] non-existing SPS 0 referenced in buffering period
[h264 @ 002f3060] non-existing PPS referenced
[h264 @ 002f3060] non-existing SPS 0 referenced in buffering period
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] no frame!
[h264 @ 002f3060] non-existing SPS 0 referenced in buffering period
[h264 @ 002f3060] non-existing PPS referenced
[h264 @ 002f3060] non-existing SPS 0 referenced in buffering period
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] no frame!
[h264 @ 002f3060] non-existing SPS 0 referenced in buffering period
[h264 @ 002f3060] non-existing PPS referenced
[h264 @ 002f3060] non-existing SPS 0 referenced in buffering period
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] no frame!
[h264 @ 002f3060] non-existing SPS 0 referenced in buffering period
[h264 @ 002f3060] non-existing PPS referenced
[h264 @ 002f3060] non-existing SPS 0 referenced in buffering period
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] no frame!
[h264 @ 002f3060] non-existing SPS 0 referenced in buffering period
[h264 @ 002f3060] non-existing PPS referenced
[h264 @ 002f3060] non-existing SPS 0 referenced in buffering period
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] non-existing PPS 0 referenced
[h264 @ 002f3060] decode_slice_header error
[h264 @ 002f3060] no frame!
[h264 @ 002f3060] mmco: unref short failure
    Last message repeated 2 times
[wtv @ 0320ea60] max_analyze_duration 5000000 reached at 5013326 microseconds
Input #0, wtv, from '..\Remuxsupp fail H264 Wrong Audio Stream Selected Handbrake.wtv':
  Metadata:
    Tuner ID        : C0D840BC-B83F-4527-ACDA-F477C73253AE
    WM/MediaClassPrimaryID: db9830bd-3ab3-4fab-8a371a995f7ff74
    WM/MediaClassSecondaryID: ba7f258a-62f7-47a9-b21f4651c42a000
    Title           : Ski Sunday
    WM/SubTitleDescription: Ski Sunday comes from the Mecca of skiing, Kitzbuhel. The best downhill skiers in the world
race the Streif, the most dangerous and terrifying course in the world. For the last three years the great Didier Cuche
has been king of the mountain known as the
    genre           : Sports;Winter Sports
    WM/OriginalReleaseTime: 0
    WM/MediaCredits : ;;Ed Leigh/Graham Bell;
    service_provider: BBC HD
    service_name    : BBC HD
    WM/MediaOriginalChannel: 31
    WM/MediaOriginalChannelSubNumber: 0
    WM/MediaOriginalBroadcastDateTime: 2013-01-27T00:00:00Z
    WM/MediaOriginalRunTime: 29925801791
    WM/MediaIsStereo: false
    WM/MediaIsRepeat: false
    WM/MediaIsLive  : false
    WM/MediaIsTape  : false
    WM/MediaIsDelay : false
    WM/MediaIsSubtitled: false
    WM/MediaIsMovie : false
    WM/MediaIsPremiere: false
    WM/MediaIsFinale: false
    WM/MediaIsSAP   : false
    WM/MediaIsSport : true
    WM/Provider     : MediaCenterDefault
    WM/VideoClosedCaptioning: false
    WM/WMRVEncodeTime: 2013-01-27 17:13:07
    WM/WMRVSeriesUID: !GenericSeries!Ski Sunday
    WM/WMRVServiceID: !MCService!755567
    WM/WMRVProgramID: !MCProgram!49373855
    WM/WMRVRequestID: 0
    WM/WMRVScheduleItemID: 0
    WM/WMRVQuality  : 0
    WM/WMRVOriginalSoftPrePadding: 420
    WM/WMRVOriginalSoftPostPadding: 180
    WM/WMRVHardPrePadding: -300
    WM/WMRVHardPostPadding: 0
    WM/WMRVATSCContent: false
    WM/WMRVDTVContent: true
    WM/WMRVHDContent: true
  Duration: 00:19:17.46, start: 1.470995, bitrate: 2301 kb/s
    Stream #0:0[0x3e](eng): Subtitle: dvb_subtitle
    Stream #0:1[0x3f](eng): Audio: aac_latm ([2][22][0][0] / 0x1602), 48000 Hz, stereo, fltp (hearing impaired)
    Stream #0:2[0x40]: Video: h264 (High), yuv420p, 1920x1080 [SAR 1:1 DAR 16:9], 25 fps, 25 tbr, 10000k tbn, 50 tbc
    Stream #0:3[0x41](eng): Audio: aac_latm ([2][22][0][0] / 0x1602), 48000 Hz, stereo, fltp
    Stream #0:4[0x0]: Video: mjpeg, yuvj420p, 200x113 [SAR 96:96 DAR 200:113], 90k tbr, 90k tbn, 90k tbc
    Metadata:
      title           : TV Thumbnail
Output #0, mpegts, to 'test.ts':
  Metadata:
    Tuner ID        : C0D840BC-B83F-4527-ACDA-F477C73253AE
    WM/MediaClassPrimaryID: db9830bd-3ab3-4fab-8a371a995f7ff74
    WM/MediaClassSecondaryID: ba7f258a-62f7-47a9-b21f4651c42a000
    Title           : Ski Sunday
    WM/SubTitleDescription: Ski Sunday comes from the Mecca of skiing, Kitzbuhel. The best downhill skiers in the world
race the Streif, the most dangerous and terrifying course in the world. For the last three years the great Didier Cuche
has been king of the mountain known as the
    genre           : Sports;Winter Sports
    WM/OriginalReleaseTime: 0
    WM/MediaCredits : ;;Ed Leigh/Graham Bell;
    service_provider: BBC HD
    service_name    : BBC HD
    WM/MediaOriginalChannel: 31
    WM/MediaOriginalChannelSubNumber: 0
    WM/MediaOriginalBroadcastDateTime: 2013-01-27T00:00:00Z
    WM/MediaOriginalRunTime: 29925801791
    WM/MediaIsStereo: false
    WM/MediaIsRepeat: false
    WM/MediaIsLive  : false
    WM/MediaIsTape  : false
    WM/MediaIsDelay : false
    WM/MediaIsSubtitled: false
    WM/MediaIsMovie : false
    WM/MediaIsPremiere: false
    WM/MediaIsFinale: false
    WM/MediaIsSAP   : false
    WM/MediaIsSport : true
    WM/Provider     : MediaCenterDefault
    WM/VideoClosedCaptioning: false
    WM/WMRVEncodeTime: 2013-01-27 17:13:07
    WM/WMRVSeriesUID: !GenericSeries!Ski Sunday
    WM/WMRVServiceID: !MCService!755567
    WM/WMRVProgramID: !MCProgram!49373855
    WM/WMRVRequestID: 0
    WM/WMRVScheduleItemID: 0
    WM/WMRVQuality  : 0
    WM/WMRVOriginalSoftPrePadding: 420
    WM/WMRVOriginalSoftPostPadding: 180
    WM/WMRVHardPrePadding: -300
    WM/WMRVHardPostPadding: 0
    WM/WMRVATSCContent: false
    WM/WMRVDTVContent: true
    WM/WMRVHDContent: true
    encoder         : Lavf54.61.104
    Stream #0:0(eng): Audio: aac_latm ([2][22][0][0] / 0x1602), 48000 Hz, stereo (hearing impaired)
    Stream #0:1(eng): Audio: aac_latm ([2][22][0][0] / 0x1602), 48000 Hz, stereo
    Stream #0:2: Video: mpeg2video, yuv420p, 1920x1080 [SAR 1:1 DAR 16:9], q=2-31, 200 kb/s, 90k tbn, 25 tbc
    Stream #0:3: Video: mpeg2video, yuv420p, 200x113 [SAR 1:1 DAR 200:113], q=2-31, 200 kb/s, 90k tbn, 240 tbc
    Metadata:
      title           : TV Thumbnail
Stream mapping:
  Stream #0:1 -> #0:0 (copy)
  Stream #0:3 -> #0:1 (copy)
  Stream #0:2 -> #0:2 (h264 -> mpeg2video)
  Stream #0:4 -> #0:3 (mjpeg -> mpeg2video)
Press [q] to stop, [?] for help
[mjpeg @ 002fcc60] overread 8
[h264 @ 032cd0a0] reference picture missing during reorder
[h264 @ 032cd0a0] Missing reference picture, default is 0
[h264 @ 032cd0a0] decode_slice_header error
[h264 @ 032cd0a0] reference picture missing during reorder
[h264 @ 032cd0a0] Missing reference picture, default is 0
[h264 @ 032cd0a0] decode_slice_header error
[h264 @ 032cd0a0] reference picture missing during reorder
[h264 @ 032cd0a0] Missing reference picture, default is 0
[h264 @ 032cd0a0] decode_slice_header error
[h264 @ 032cd0a0] reference picture missing during reorder
[h264 @ 032cd0a0] Missing reference picture, default is 0
[h264 @ 032cd0a0] decode_slice_header error
[h264 @ 032cd0a0] reference picture missing during reorder
[h264 @ 032cd0a0] Missing reference picture, default is 0
[h264 @ 032cd0a0] decode_slice_header error
[h264 @ 032cd0a0] reference picture missing during reorder
[h264 @ 032cd0a0] Missing reference picture, default is 0
[h264 @ 032cd0a0] decode_slice_header error
[h264 @ 032cd0a0] mmco: unref short failure
Reference 3 >= 2 58 q=31.0 q=0.0 size=       0kB time=00:05:04.00 bitrate=   0.0kbits/s dup=47 drop=0
[h264 @ 032ce0c0] error while decoding MB 97 6, bytestream (-11)
[h264 @ 032ce0c0] concealing 7392 DC, 7392 AC, 7392 MV errors in B frame
frame= 7639 fps= 58 q=31.0 Lq=0.0 size=  131605kB time=00:05:05.52 bitrate=3528.8kbits/s dup=52 drop=0    p=0
video:113634kB audio:7190kB subtitle:0 global headers:0kB muxing overhead 8.923249%

Now the fun stuff, when it falls apart, trying to trim:

ffmpeg -i test.ts -ss 10 -t 40 -vcodec copy -acodec copy -map 0:a -map 0:v test1.ts

ffmpeg version N-49527-g985e93a Copyright (c) 2000-2013 the FFmpeg developers
  built on Feb  1 2013 18:41:39 with gcc 4.7.2 (GCC)
  configuration: --enable-gpl --enable-version3 --disable-w32threads --enable-avisynth --enable-bzlib --enable-fontconfi
g --enable-frei0r --enable-gnutls --enable-libass --enable-libbluray --enable-libcaca --enable-libfreetype --enable-libg
sm --enable-libmp3lame --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libopenjpeg --enable-libopus --ena
ble-librtmp --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libtwolame --enable-libvo-aacenc --en
able-libvo-amrwbenc --enable-libvorbis --enable-libvpx --enable-libx264 --enable-libxavs --enable-libxvid --enable-zlib
  libavutil      52. 17.100 / 52. 17.100
  libavcodec     54. 91.100 / 54. 91.100
  libavformat    54. 61.104 / 54. 61.104
  libavdevice    54.  3.103 / 54.  3.103
  libavfilter     3. 35.100 /  3. 35.100
  libswscale      2.  2.100 /  2.  2.100
  libswresample   0. 17.102 /  0. 17.102
  libpostproc    52.  2.100 / 52.  2.100
[mpegts @ 022f97e0] max_analyze_duration 5000000 reached at 5000000 microseconds
[mpegts @ 022f97e0] Could not find codec parameters for stream 3 (Video: mpeg2video ([2][0][0][0] / 0x0002)): unspecifie
d size
Consider increasing the value for the 'analyzeduration' and 'probesize' options
[NULL @ 036ff5e0] start time is not set in estimate_timings_from_pts
Input #0, mpegts, from 'test.ts':
  Duration: 00:05:05.52, start: 1.400000, bitrate: 3528 kb/s
  Program 1
    Metadata:
      service_name    : BBC HD
      service_provider: BBC HD
    Stream #0:0[0x100](eng): Audio: aac_latm ([17][0][0][0] / 0x0011), 48000 Hz, stereo, fltp (hearing impaired)
    Stream #0:1[0x101](eng): Audio: aac_latm ([17][0][0][0] / 0x0011), 48000 Hz, stereo, fltp
    Stream #0:2[0x102]: Video: mpeg2video (Main) ([2][0][0][0] / 0x0002), yuv420p, 1920x1080 [SAR 1:1 DAR 16:9], 25 fps,
 25 tbr, 90k tbn, 50 tbc
    Stream #0:3[0x103]: Video: mpeg2video ([2][0][0][0] / 0x0002), 90k tbr, 90k tbn, 90k tbc
[mpegts @ 03fcaa20] dimensions not set
Output #0, mpegts, to 'test1.ts':
    Stream #0:0(eng): Audio: aac_latm ([17][0][0][0] / 0x0011), 48000 Hz, stereo (hearing impaired)
    Stream #0:1(eng): Audio: aac_latm ([17][0][0][0] / 0x0011), 48000 Hz, stereo
    Stream #0:2: Video: mpeg2video ([2][0][0][0] / 0x0002), yuv420p, 1920x1080 [SAR 1:1 DAR 16:9], q=2-31, 25 fps, 90k t
bn, 25 tbc
    Stream #0:3: Video: mpeg2video ([2][0][0][0] / 0x0002), q=2-31, 90k tbn, 90k tbc
Stream mapping:
  Stream #0:0 -> #0:0 (copy)
  Stream #0:1 -> #0:1 (copy)
  Stream #0:2 -> #0:2 (copy)
  Stream #0:3 -> #0:3 (copy)
Could not write header for output file #0 (incorrect codec parameters ?): Invalid argument

Again like I said, all of it working perfectly in the Dec 21st release. With 2 video tracks tons of other stuff is going crazy including cross file stream mappings etc, I can't update to the newer ffmpeg.

Please let me know if you need more info, I hope this will be resolved quickly :)

comment:4 Changed 4 years ago by ramitbhalla

BTW this is not just 1 file, roughly about 20% of all my videos which worked fine with the 21st dec release are breaking due to this issue. (mjpeg being identified as a video stream)

comment:5 Changed 4 years ago by cehoyos

You cannot mux mjpeg into mpegts.

comment:6 Changed 4 years ago by ramitbhalla

That's what I said - mjpeg were identified as attachment in the Dec 21st build and everything was fine.
Now its being identified as video which is causing everything to go nuts.

Don't get me wrong, I love ffmpeg and think you guys are FAB. But I'm afraid of updating ffmpeg - I need to start testing over because one tiny change breaks everything.

if mjpeg can't be transcoded into more standard video forms perhaps the earlier method of identifying it as attachment was the best strategy. This is just very complicated to figure out. How many conditions can I put to see what can and can't be converted? Why I loved ffmpeg is that it keep that stuff internal, I can stick to simple commands like vcodec and map without having to worry about the intricacies of the interoperability which ffmpeg takes care of beautifully.

I don't understand why you decided to make mjpeg a video instead of attachment?

I'm sorry but this is a deal breaker since everything has stopped working and I don't see any way around it.

comment:7 Changed 4 years ago by ramitbhalla

I mean when one says -map 0:v one is expecting video streams, and that's typically for the most 1 video stream. I can't control what Microsoft is putting in it's WTV container but I'm pretty sure the mjpeg is NOT a video stream and that's what's messing things up, ffmpeg thinking it's a video stream. I can't change microsoft, I know ffmpeg was working fine earlier, hence my poorly worded frustration here.

there's no way to say hey ffmpeg take only video streams but NOT mjpeg. all I can say is -map 0:v
I hope you see where I'm coming from.

Last edited 4 years ago by ramitbhalla (previous) (diff)

comment:8 Changed 4 years ago by cehoyos

  • Keywords wtv added

comment:9 Changed 4 years ago by michael

a patch that fixes this is on the ffmpeg-devel ML

comment:10 Changed 4 years ago by ramitbhalla

tx, i.e. it will go back to identifying this as a attachment (non video) stream right?

comment:11 Changed 4 years ago by ramitbhalla

Still not fixed in latest Git head

ffmpeg -i "..\NCIS HD Small.wtv"
ffmpeg version N-49757-g969039e Copyright (c) 2000-2013 the FFmpeg developers
  built on Feb  9 2013 20:28:03 with gcc 4.7.2 (GCC)
  configuration: --enable-gpl --enable-version3 --disable-w32threads --enable-avisynth --enable-bzlib --enable-fontconfi
g --enable-frei0r --enable-gnutls --enable-libass --enable-libbluray --enable-libcaca --enable-libfreetype --enable-libg
sm --enable-libmp3lame --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libopenjpeg --enable-libopus --ena
ble-librtmp --enable-libschroedinger --enable-libsoxr --enable-libspeex --enable-libtheora --enable-libtwolame --enable-
libvo-aacenc --enable-libvo-amrwbenc --enable-libvorbis --enable-libvpx --enable-libx264 --enable-libxavs --enable-libxv
id --enable-zlib
  libavutil      52. 17.101 / 52. 17.101
  libavcodec     54. 91.102 / 54. 91.102
  libavformat    54. 62.100 / 54. 62.100
  libavdevice    54.  3.103 / 54.  3.103
  libavfilter     3. 37.101 /  3. 37.101
  libswscale      2.  2.100 /  2.  2.100
  libswresample   0. 17.102 /  0. 17.102
  libpostproc    52.  2.100 / 52.  2.100
[wtv @ 0032b960] truncated file
[wtv @ 0032b960] reported file length (0x15b2b2fd0) exceeds number of available sectors (0xb0000000)
[wtv @ 0032b960] truncated file
    Last message repeated 2 times
[mjpeg @ 00327ac0] overread 8
[mpeg2video @ 00322dc0] 0x0 is invalid
    Last message repeated 10 times
[wtv @ 0032b960] Stream #3: not enough frames to estimate rate; consider increasing probesize
[wtv @ 0032b960] Stream #4: not enough frames to estimate rate; consider increasing probesize
Input #0, wtv, from '..\NCIS HD Small.wtv':
  Metadata:
    WM/MediaClassPrimaryID: db9830bd-3ab3-4fab-8a371a995f7ff74
    WM/MediaClassSecondaryID: ba7f258a-62f7-47a9-b21f4651c42a000
    Title           : NCIS: Los Angeles
    WM/SubTitle     : Sacrifice
    WM/SubTitleDescription: The LAPD asks NCIS for help when a case exposes a link between a Mexican drug cartel and a t
errorist.
    genre           : Drama;General;Series;Action/Adventure
    WM/OriginalReleaseTime: 0
    WM/MediaCredits : Chris O'Donnell/LL Cool J/Linda Hunt/Daniela Ruah/Eric Christian Olsen/Barrett Foa/Renée Felice S
mith;John P. Kousakis;;America Olivo/Brant Cotton/Doug Rao/Danny Nucci/Gino Montesinos/Farshad Farahat/Carlos Arellano/C
heryl Texiera/Brian Michael Jones/Jen
    service_provider: KPHODT
    service_name    : KPHODT (KPHO-DT)
    WM/MediaNetworkAffiliation: CBS Affiliate
    WM/MediaOriginalChannel: 5
    WM/MediaOriginalChannelSubNumber: 1
    WM/MediaOriginalBroadcastDateTime: 2011-10-18T07:00:00Z
    WM/MediaOriginalRunTime: 38375940244
    WM/MediaIsStereo: true
    WM/MediaIsRepeat: false
    WM/MediaIsLive  : false
    WM/MediaIsTape  : false
    WM/MediaIsDelay : false
    WM/MediaIsSubtitled: false
    WM/MediaIsMovie : false
    WM/MediaIsPremiere: false
    WM/MediaIsFinale: false
    WM/MediaIsSAP   : false
    WM/MediaIsSport : false
    WM/ParentalRating: TV-14
    WM/Provider     : MediaCenterDefault
    WM/VideoClosedCaptioning: true
    WM/WMRVEncodeTime: 2011-10-19 03:00:02
    WM/WMRVSeriesUID: !MCSeries!01158361
    WM/WMRVServiceID: !MCService!28455624
    WM/WMRVProgramID: !MCProgram!264522248
    WM/WMRVRequestID: 0
    WM/WMRVScheduleItemID: 0
    WM/WMRVQuality  : 3
    WM/WMRVOriginalSoftPrePadding: 420
    WM/WMRVOriginalSoftPostPadding: 180
    WM/WMRVHardPrePadding: -300
    WM/WMRVHardPostPadding: 0
    WM/WMRVATSCContent: true
    WM/WMRVDTVContent: true
    WM/WMRVHDContent: true
    Duration        : 36582312388
    WM/WMRVEndTime  : 2011-10-19 04:01:00
    WM/WMRVBitrate  : 12.738619
    WM/WMRVKeepUntil: 0
    WM/WMRVActualSoftPrePadding: 297
    WM/WMRVActualSoftPostPadding: 0
    WM/WMRVContentProtected: false
    WM/WMRVContentProtectedPercent: 0
    WM/WMRVExpirationSpan: 9223372036854775807
    WM/WMRVInBandRatingSystem: 255
    WM/WMRVInBandRatingLevel: 255
    WM/WMRVInBandRatingAttributes: 0
    WM/WMRVWatched  : false
    WM/MediaThumbWidth: 352
    WM/MediaThumbHeight: 198
    WM/MediaThumbStride: 1056
    WM/MediaThumbRet: 0
    WM/MediaThumbRatingSystem: 255
    WM/MediaThumbRatingLevel: 255
    WM/MediaThumbRatingAttributes: 0
    WM/MediaThumbAspectRatioX: 16
    WM/MediaThumbAspectRatioY: 9
    WM/MediaThumbTimeStamp: 4634350287386204132
  Duration: 00:31:59.53, start: 1.797444, bitrate: 874 kb/s
    Stream #0:0[0xe](eng): Audio: ac3, 48000 Hz, 5.1(side), fltp, 384 kb/s
    Stream #0:1[0xf](eng): Audio: ac3, 48000 Hz, stereo, fltp, 192 kb/s
    Stream #0:2[0x10]: Video: mpeg2video (Main), yuv420p, 1920x1080 [SAR 1:1 DAR 16:9], 29.97 fps, 29.97 tbr, 10000k tbn
, 59.94 tbc
    Stream #0:3[0x11]: Subtitle: eia_608
    Stream #0:4[0x0]: Video: mjpeg, yuvj420p, 200x113 [SAR 120:120 DAR 200:113], 90k tbr, 90k tbn, 90k tbc
    Metadata:
      title           : TV Thumbnail
At least one output file must be specified

comment:12 Changed 4 years ago by cehoyos

Did you already find out which change caused your problem?

comment:13 Changed 4 years ago by heleppkes

Keep in mind that attachments are meant to be streams, however they have a special flag in AVStream->disposition that identifys them as attachment streams (AV_DISPOSITION_ATTACHED_PIC).

I don't know however if ffmpeg mentions such flags in that output.

comment:14 Changed 4 years ago by ramitbhalla

Sorry no idea - I thought you folks would know what changed between the 21st Dec build and the Jan Build which caused it to identify it as a video stream instead of an attachment stream.

comment:15 Changed 4 years ago by heleppkes

Its this commit:
http://git.videolan.org/?p=ffmpeg.git;a=commitdiff;h=508836932fcbc3c109fcc4df7a2f2b0bf21bbece

However, the commit is correct. Its how attached pictures are meant to behave, and they do behave like this in other formats as well, and not just WTV. In fact, the commit updated WTV to behave in accordance to the thumbnail standard behaviour.

In code, you can identify (and avoid) such streams by looking at AVStream->disposition, if ffmpeg (the application) doesn't handle such streams properly in some situations, thats another issue entirely.

comment:16 Changed 4 years ago by ramitbhalla

So you're saying a attachment picture is a video stream and not an attachment?

comment:17 Changed 4 years ago by gjdfgh

libavformat pretends such attachments are video streams, even if they aren't. If such a stream is selected, libavformat will inject the picture as packet into the packet stream once on start, and after every seek (or something like this).

comment:18 Changed 4 years ago by ramitbhalla

hmm, so libavformat is doing something which isn't technically correct, so the question is what's the best way to handle this to get ffmpeg work with WTV files (and now potentially any other file with a picture attachment) and not identify them as video streams.

comment:19 Changed 4 years ago by heleppkes

What is correct or not is just a matter of definition. In this case, it was decided that this is the way attached pictures are being handled, so the behaviour of avformat is indeed correct in its context.

You should shift your focus on figuring out what can be done in your workflow to deal with these attached picture video streams, and/or how ffmpeg (the application) should handle them when re-encoding/re-muxing.

comment:20 Changed 4 years ago by ramitbhalla

Okay - I can't argue with that.

So the question is what does ffmpeg need to do to rebadge it as an attachment or ignore the picture streams when using -map 0:v

comment:21 Changed 4 years ago by ramitbhalla

Anyone any update?

comment:22 Changed 4 years ago by ramitbhalla

So just assuming here, this is the end of the road for ffmpeg and WTV?

comment:23 Changed 4 years ago by ramitbhalla

At the risk of bugging everyone, does anyone have any thoughts on this.

@michael - you had indicated there was a patch floating around the dev-ML that fixes this. Any update please?

My entire dev has come to a grinding halt because I can't update ffmpeg.

comment:24 follow-up: Changed 4 years ago by ramitbhalla

:( - @Michael ? :(

comment:25 in reply to: ↑ 24 ; follow-up: Changed 4 years ago by michael

Replying to ramitbhalla:

:( - @Michael ? :(

You could test the patches from the ML, to check that they actually fix your issues
"ffmpeg: factor weak_map_score() out"
"ffmpeg: Avoid matching attachment pics to video on wildcard maps."

Also you could ask Peter Ross who is the maintainer of wtv*.c ...

comment:26 Changed 4 years ago by ramitbhalla

Thanks Michael,

@Peter can I request you assistance here please. I have no idea about ffmpeg code or compiling.
If I can help in some other way please let me know.

comment:27 Changed 4 years ago by ramitbhalla

I meant @pross can you help here please.

comment:28 follow-up: Changed 4 years ago by dodgexander

Given that some people (such as I) are limited to only being able to record using windows media center, it would be of great disappointment to see some of the recordings now being unsupported by ffmpeg.

Ramit, the developer of MCEBuddy has made a great program to automatically convert these recordings using ffmpeg into compatible formats. It would be really sad to see this support dropped :(

comment:29 in reply to: ↑ 28 Changed 4 years ago by cehoyos

Replying to dodgexander:

Given that some people (such as I) are limited to only being able to record using windows media center, it would be of great disappointment to see some of the recordings now being unsupported by ffmpeg.

Which recordings are unsupported?
Please remember that this bug tracker is only meant for FFmpeg reports (not for third-party programs).

Ramit, the developer of MCEBuddy has made a great program to automatically convert these recordings using ffmpeg into compatible formats. It would be really sad to see this support dropped :(

Could you elaborate? I don't think support for any files was ever dropped from FFmpeg.

comment:30 Changed 4 years ago by ramitbhalla

@rogerdpack can I request your assistance for a test build as suggested by @michael above.

comment:31 follow-up: Changed 4 years ago by dodgexander

Which recordings are unsupported?

Please remember that this bug tracker is only meant for FFmpeg reports (not for third-party programs).

Take a look at some of the cases related to .wtv files that ramitbhalla has created. Around 30% of my mpeg2 and h264 recordings fail copy remuxing with ffmpeg. Even if I recode h264 to h264, there are problems with the files. Yes I use MCEBuddy, but these problems are only related too ffmpeg.

Could you elaborate? I don't think support for any files was ever dropped from FFmpeg.

The changes explained in this thread by ramit explain why there is a problem. Ramit himself has posted that he is unsure whether MCEBuddy can continue because of these changes. What ramit says about ffmpeg being flexible is true, but as is also what he says about updating versions of ffmpeg and certain changes causing new problems to arise.

Version 0, edited 4 years ago by dodgexander (next)

comment:32 in reply to: ↑ 31 Changed 4 years ago by cehoyos

Replying to dodgexander:

Which recordings are unsupported?Please remember that this bug tracker is only meant for FFmpeg reports (not for third-party programs).

Take a look at some of the cases related to .wtv files that ramitbhalla has created.

Most of them were fixed iirc (one is the reason for this "ticket").

Around 30% of my mpeg2 and h264 recordings fail copy remuxing with ffmpeg.

This is not unexpected (and not wtv-related) for h264, in any case, these are not regressions.

Even if I recode h264 to h264, there are problems with the files.

Could you point me to the ticket?

Could you elaborate? I don't think support for any files was ever dropped from FFmpeg.

The changes explained in this thread by ramit explain why there is a problem.

Please understand that -map 0 simply cannot work the way you want it (see also #1952): Generally, you have to use specific map options depending on the input file (and in this case, it should be trivial to provide them with a simple script). I would also expect that in many cases, one video and one audio track will already be what the users want.

comment:33 in reply to: ↑ 25 ; follow-up: Changed 4 years ago by ramitbhalla

Replying to michael:

Replying to ramitbhalla:

:( - @Michael ? :(

You could test the patches from the ML, to check that they actually fix your issues
"ffmpeg: factor weak_map_score() out"
"ffmpeg: Avoid matching attachment pics to video on wildcard maps."

Also you could ask Peter Ross who is the maintainer of wtv*.c ...

Sorry to flog a dead horse here by @pross did you get a chance to look into this?

I'm hoping someone can help me (@rogerdpack) get a build with these fixes that I can test out. I don't have the tools to build ffmpeg here, so I would REALLY REALLY appreciate it if anyone can help me get a build with the patches to test what @michael is suggesting.

comment:34 in reply to: ↑ 33 Changed 4 years ago by cehoyos

Replying to ramitbhalla:

I don't have the tools to build ffmpeg here

Why don't you download them?

comment:35 Changed 4 years ago by ramitbhalla

No issues, I was under the understanding that ffmpeg can only be built on Linux and I unfortunately only have Windows (am not proficient in linux). If you can point me in a direction where I can build on windows I'll be more than happy to give it a shot. ( also need to learn how to patch stuff :D

Was just hoping one of the experts could lend me hand with a quick build that I can then take forward.

comment:37 Changed 4 years ago by ramitbhalla

Builds yes I'm aware of and use it. I understand that I need to put a patch in to make this work correctly right?

Thanks for the link to the window build. I'll see what I can do.

@cehyos Can you confirm if the patch michael is referring to is currently in ffmpeg or if I need to put it in? Where can I get the patch details from?

comment:38 follow-up: Changed 4 years ago by dodgexander

@ cehyos

Take a look at some of the cases related to .wtv files that ramitbhalla has created.

Most of them were fixed iirc (one is the reason for this "ticket").

Take a look at this tickethttps://ffmpeg.org/trac/ffmpeg/ticket/2220. It hasn't been fixed.

Around 30% of my mpeg2 and h264 recordings fail copy remuxing with ffmpeg.

This is not unexpected (and not wtv-related) for h264, in any case, these are not regressions.

The remaining mpeg2 fails I have are related to this ticket. The h264 fails are mainly due to the ticket listed above.

Even if I recode h264 to h264, there are problems with the files.

Could you point me to the ticket?

I shall open a ticket with an example.

comment:39 in reply to: ↑ 38 ; follow-up: Changed 4 years ago by cehoyos

Replying to dodgexander:

@ cehyos

Take a look at some of the cases related to .wtv files that ramitbhalla has created.

Most of them were fixed iirc (one is the reason for this "ticket").

Take a look at this tickethttps://ffmpeg.org/trac/ffmpeg/ticket/2220. It hasn't been fixed.

I am not convinced this ticket is wtv-related (and it does not contradict my claim that most tickets were fixed).

Around 30% of my mpeg2 and h264 recordings fail copy remuxing with ffmpeg.

This is not unexpected (and not wtv-related) for h264, in any case, these are not regressions.

The remaining mpeg2 fails I have are related to this ticket.

Please allow me to repeat: I don't think there is an issue, -map 0 does not work the way you seem to expect (and it generally cannot work the way you expect), simply remove it from your command line.

The h264 fails are mainly due to the ticket listed above.

Even if I recode h264 to h264, there are problems with the files.

Could you point me to the ticket?

I shall open a ticket with an example.

Please do so.

comment:40 in reply to: ↑ 39 Changed 4 years ago by ramitbhalla

Replying to cehoyos:

Please allow me to repeat: I don't think there is an issue, -map 0 does not work the way you seem to expect (and it generally cannot work the way you expect), simply remove it from your command line.

Let me understand this correctly:

The only way to copy all audio stream and the (valid) video streams would be to use:
-map 0:a -map 0:v -vcodec copy -acodec copy

If I use -map 0:a -vcodec copy -acodec copy it doesn't copy the video stream.

if I use
-map 0:a -map 0:v -vcodec copy -acodec copy

It ends up copy the mjpeg stream which breaks down streams programs since the mjpeg is not a valid video stream but an ATTACHMENT which Media Center adds for the thumbnail or something.

So what's the solution around this?

Last edited 4 years ago by ramitbhalla (previous) (diff)

comment:41 Changed 4 years ago by cehoyos

When I wrote "-map 0" cannot generally work the way you expect (you already know this from ticket #1952), I did not mean that "-map 0:a" or "-map 0:v" work better: There will always be examples for which they cannot work (independent of the problem described here).

comment:42 Changed 4 years ago by ramitbhalla

So help me out here. I encoded a file to MP4 and added a thumbnail poster using atomic parsley.

So the thumbnail should show up as an attachment right? Wrong - ffmpeg shows it as a video stream!

ffmpeg -i "Family Guy-S11E14-Call Girl.mp4"
ffmpeg version N-49757-g969039e Copyright (c) 2000-2013 the FFmpeg developers
  built on Feb  9 2013 20:28:03 with gcc 4.7.2 (GCC)
  configuration: --enable-gpl --enable-version3 --disable-w32threads --enable-avisynth --enable-bzlib --enable-fontconfi
g --enable-frei0r --enable-gnutls --enable-libass --enable-libbluray --enable-libcaca --enable-libfreetype --enable-libg
sm --enable-libmp3lame --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libopenjpeg --enable-libopus --ena
ble-librtmp --enable-libschroedinger --enable-libsoxr --enable-libspeex --enable-libtheora --enable-libtwolame --enable-
libvo-aacenc --enable-libvo-amrwbenc --enable-libvorbis --enable-libvpx --enable-libx264 --enable-libxavs --enable-libxv
id --enable-zlib
  libavutil      52. 17.101 / 52. 17.101
  libavcodec     54. 91.102 / 54. 91.102
  libavformat    54. 62.100 / 54. 62.100
  libavdevice    54.  3.103 / 54.  3.103
  libavfilter     3. 37.101 /  3. 37.101
  libswscale      2.  2.100 /  2.  2.100
  libswresample   0. 17.102 /  0. 17.102
  libpostproc    52.  2.100 / 52.  2.100
[mov,mp4,m4a,3gp,3g2,mj2 @ 00369800] stream 0, timescale not set
[mov,mp4,m4a,3gp,3g2,mj2 @ 00369800] max_analyze_duration 5000000 reached at 5005000 microseconds
Input #0, mov,mp4,m4a,3gp,3g2,mj2, from 'Family Guy-S11E14-Call Girl.mp4':
  Metadata:
    major_brand     : isom
    minor_version   : 1
    compatible_brands: isom
    creation_time   : 2013-03-17 16:33:30
    title           : Family Guy
    show            : Family Guy
    media_type      : 10
    episode_id      : Call Girl
    season_number   : 11
    episode_sort    : 14
    network         : WAGA
    genre           : Comedy
    description     : When Lois gets a job at an adults-only phone line to earn extra money, she takes a call from Peter
.
    synopsis        : When Lois gets a job at an adults-only phone line to earn extra money, she takes a call from Peter
.
    comment         : When Lois gets a job at an adults-only phone line to earn extra money, she takes a call from Peter
.
    encoder         : MCEBuddy
  Duration: 00:23:37.81, start: 0.000000, bitrate: 1778 kb/s
    Stream #0:0(und): Video: h264 (High) (avc1 / 0x31637661), yuv420p, 720x368 [SAR 5474:6075 DAR 238:135], 1619 kb/s, 2
9.97 fps, 29.97 tbr, 90k tbn, 180k tbc
    Metadata:
      creation_time   : 2013-03-17 15:47:40
    Stream #0:1(und): Audio: aac (mp4a / 0x6134706D), 48000 Hz, stereo, fltp, 159 kb/s
    Metadata:
      creation_time   : 2013-03-17 15:47:40
    Stream #0:2: Video: mjpeg, yuvj444p, 758x140, 90k tbr, 90k tbn, 90k tbc

You still don't think there's something wrong here?

Last edited 4 years ago by ramitbhalla (previous) (diff)

comment:43 follow-up: Changed 4 years ago by cehoyos

Is anything wrong with one of the following two commands?
$ ffmpeg -i "Family Guy-S11E14-Call Girl.mp4" -qscale 2 out.avi
$ ffmpeg -i "Family Guy-S11E14-Call Girl.mp4" -map 0:2 out.jpg
If yes that would (probably) indicate a bug.

comment:44 Changed 4 years ago by dodgexander

Ticket: https://ffmpeg.org/trac/ffmpeg/ticket/2220 is not specifically related to wtv no, but it is a problem I have preventing 30% of my h264 recordings from working with the copy decoder, it has been open for a while, but with no fix.

I have created a new ticket https://ffmpeg.org/trac/ffmpeg/ticket/2379 which creates an output file skipping and broken in playback.

Thanks for any help you can give.

comment:45 in reply to: ↑ 43 ; follow-up: Changed 4 years ago by ramitbhalla

Replying to cehoyos:

Is anything wrong with one of the following two commands?
$ ffmpeg -i "Family Guy-S11E14-Call Girl.mp4" -qscale 2 out.avi
$ ffmpeg -i "Family Guy-S11E14-Call Girl.mp4" -map 0:2 out.jpg
If yes that would (probably) indicate a bug.

Taht's fine, it works and will work since there is ONLY 1 audio stream. What if there are 2 audio streams and you want to copy both, how will you do it? you can't use map 0:a since you need to add map 0:v and that will fail.

so ALL I'm suggesting is DON'T mark teh mjpeg as video stream, why not use the flag information provided in libavformat and mark it as an attachment (which is what it really is) and EVERYTHING will start working?

comment:46 in reply to: ↑ 45 Changed 4 years ago by cehoyos

Replying to ramitbhalla:

Replying to cehoyos:

Is anything wrong with one of the following two commands?
$ ffmpeg -i "Family Guy-S11E14-Call Girl.mp4" -qscale 2 out.avi
$ ffmpeg -i "Family Guy-S11E14-Call Girl.mp4" -map 0:2 out.jpg
If yes that would (probably) indicate a bug.

Taht's fine, it works and will work since there is ONLY 1 audio stream. What if there are 2 audio streams and you want to copy both, how will you do it? you can't use map 0:a since you need to add map 0:v and that will fail.

The following should work fine:
$ ffmpeg -i input_with_multiple_audio_channels -map 0:0 -map 0:1 -map 0:2 out.avi
Please remember that generally -map 0 cannot work the way you seem to expect:
The option -map 0 does not mean "copy all streams for which it makes sense" but "copy all streams".

comment:47 Changed 4 years ago by cehoyos

Does the following work?
$ ffmpeg -i input -map 0:a -map 0:v:0 -vcodec copy -acodec copy out.ts

comment:48 follow-up: Changed 4 years ago by ramitbhalla

I"m sure it would work (don't have acess to the dev right now) but I'm still asking a very FUNDAMENTAL question:

is a JPEG stream a video stream? Then why it being marked as Video?

A very simple questions. Here's one thing to consider, MOST applications using ffmpeg today would expect the standard MP4 file to return a single video stream.

But with this build now it will break ALL those applications since the jpeg thumbnail is now bring tagged as a video stream as a result of which anyone using map 0:v will need to rewrite the app.

So really - am asking again, why is a jpeg attachment being tagged a video stream?

comment:49 in reply to: ↑ 48 Changed 4 years ago by cehoyos

Replying to ramitbhalla:

is a JPEG stream a video stream?

Definitly.

comment:50 follow-up: Changed 4 years ago by ramitbhalla

REally? a Jpeg is a Video stream? I always thought a thumbnail JPEG was a single frame and not a video (which is a string of frames)

comment:51 in reply to: ↑ 50 Changed 4 years ago by cehoyos

Replying to ramitbhalla:

REally? a Jpeg is a Video stream?

No, a jpeg stream is a video stream.

comment:52 Changed 4 years ago by cehoyos

comment:53 Changed 4 years ago by ramitbhalla

Thanks - but do you really think a jpeg should be marked a video stream. It's a rather fundamental issue.
Why can't it marked as soemthing else. Keep my issue aside for now, but just logically why does the jpeg need to be marked as a video stream?

comment:54 Changed 4 years ago by dodgexander

So if ffmpeg won't mark the stream as something else, how can you differentiate between what is a video stream and what isn't?

If you need to map streams independently dependent on the the source file, how do you know which one out of the streams is the jpeg and which is video? Its all well saying -map 0 doesn't intelligently know which streams to map and which not too, but since there is now no way to differentiate between the two types of streams, there should be a different function, other than having to find out which of the streams is a jpeg first.

It would be interesting to know exactly what was trying to be achieved here, eg why it is better to be marked as a video stream rather than an attachment.

comment:55 Changed 4 years ago by dodgexander

  • Cc harry.tipper@aol.com added

comment:56 Changed 3 years ago by ramitbhalla

Anyone throw me a bone here please, how we can identify attachments (even if they are marked as video streams?) is there some flag that can be set or can this be reverted?

comment:57 Changed 3 years ago by cehoyos

Did you already test Michael's patch? Does it work for you?

comment:58 Changed 3 years ago by ramitbhalla

uh sorry no - I am struggling to get ffmpeg to build, let along figure out how / where to get the patch from.

I would be very grateful if someone can help me wiht a build with michael's patch for testing plese.

comment:59 follow-up: Changed 3 years ago by ramitbhalla

FYI - using map 0:v:0 does NOT work always.

Here's an example where it ends up trying to copy of the mjpeg attachment:

ffmpeg -i "..\NoStreams FFMPEG South Park_Viva_2012_04_25_21_00_16.wtv"
ffmpeg version N-51511-g599866f Copyright (c) 2000-2013 the FFmpeg developers
  built on Apr  1 2013 12:44:46 with gcc 4.8.0 (GCC)
  configuration: --enable-gpl --enable-version3 --disable-w32threads --enable-avisynth --enable-bzlib --enable-fontconfi
g --enable-frei0r --enable-gnutls --enable-libass --enable-libbluray --enable-libcaca --enable-libfreetype --enable-libg
sm --enable-libilbc --enable-libmp3lame --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libopenjpeg --ena
ble-libopus --enable-librtmp --enable-libschroedinger --enable-libsoxr --enable-libspeex --enable-libtheora --enable-lib
twolame --enable-libvo-aacenc --enable-libvo-amrwbenc --enable-libvorbis --enable-libvpx --enable-libx264 --enable-libxa
vs --enable-libxvid --enable-zlib
  libavutil      52. 24.100 / 52. 24.100
  libavcodec     55.  2.100 / 55.  2.100
  libavformat    55.  1.100 / 55.  1.100
  libavdevice    55.  0.100 / 55.  0.100
  libavfilter     3. 48.105 /  3. 48.105
  libswscale      2.  2.100 /  2.  2.100
  libswresample   0. 17.102 /  0. 17.102
  libpostproc    52.  2.100 / 52.  2.100
[wtv @ 02537a80] truncated file
    Last message repeated 3 times
[wtv @ 02537a80] max_analyze_duration 5000000 reached at 5016000 microseconds
Input #0, wtv, from '..\NoStreams FFMPEG South Park_Viva_2012_04_25_21_00_16.wtv':
  Metadata:
    WM/MediaClassPrimaryID: db9830bd-3ab3-4fab-8a371a995f7ff74
    WM/MediaClassSecondaryID: ba7f258a-62f7-47a9-b21f4651c42a000
    Title           : South Park
    WM/SubTitle     : Toilet Paper
    WM/SubTitleDescription: Animated adult comedy. When the boys are kept behind after school by their art teacher for n
ot appreciating art, Cartman convinces them that the only way to get her back is to toilet paper her house.
    genre           : Shows;Animation
    WM/OriginalReleaseTime: 0
    WM/MediaCredits : ;;;
    service_provider: Viva
    service_name    : TMF The Music Factory
    WM/MediaOriginalChannel: 81
    WM/MediaOriginalChannelSubNumber: 0
    WM/MediaOriginalBroadcastDateTime: 2003-09-14T23:00:00Z
    WM/MediaOriginalRunTime: 19603163745
    WM/MediaIsStereo: false
    WM/MediaIsRepeat: true
    WM/MediaIsLive  : false
    WM/MediaIsTape  : false
    WM/MediaIsDelay : false
    WM/MediaIsSubtitled: false
    WM/MediaIsMovie : false
    WM/MediaIsPremiere: false
    WM/MediaIsFinale: false
    WM/MediaIsSAP   : false
    WM/MediaIsSport : false
    WM/Provider     : MediaCenterDefault
    WM/VideoClosedCaptioning: false
    WM/WMRVEncodeTime: 2012-04-25 20:00:19
    WM/WMRVSeriesUID: !GenericSeries!South Park
    WM/WMRVServiceID: !Generated!f9fd088eefe34ef988814f48f61cd8a6
    WM/WMRVProgramID: !MCProgram!2118366
    WM/WMRVRequestID: 0
    WM/WMRVScheduleItemID: 0
    WM/WMRVQuality  : 3
    WM/WMRVOriginalSoftPrePadding: 420
    WM/WMRVOriginalSoftPostPadding: 180
    WM/WMRVHardPrePadding: -300
    WM/WMRVHardPostPadding: 0
    WM/WMRVATSCContent: false
    WM/WMRVDTVContent: false
    WM/WMRVHDContent: false
    Duration        : 17806418468
    WM/WMRVEndTime  : 2012-04-25 20:30:00
    WM/WMRVBitrate  : 6.729666
    WM/WMRVKeepUntil: 0
    WM/WMRVActualSoftPrePadding: 280
    WM/WMRVActualSoftPostPadding: 0
    WM/WMRVContentProtected: false
    WM/WMRVContentProtectedPercent: 0
    WM/WMRVExpirationSpan: 9223372036854775807
    WM/WMRVInBandRatingSystem: 255
    WM/WMRVInBandRatingLevel: 255
    WM/WMRVInBandRatingAttributes: 0
    WM/WMRVWatched  : false
    WM/MediaThumbWidth: 352
    WM/MediaThumbHeight: 281
    WM/MediaThumbStride: 1056
    WM/MediaThumbRet: 0
    WM/MediaThumbRatingSystem: 255
    WM/MediaThumbRatingLevel: 255
    WM/MediaThumbRatingAttributes: 0
    WM/MediaThumbAspectRatioX: 4
    WM/MediaThumbAspectRatioY: 3
    WM/MediaThumbTimeStamp: 4644370574304461875
  Duration: 00:28:35.46, start: 3.270397, bitrate: 6985 kb/s
    Stream #0:0[0xb]: Subtitle: dvb_teletext
    Stream #0:1[0x0]: Video: mjpeg, yuvj420p, 200x160 [SAR 96:96 DAR 5:4], 90k tbr, 90k tbn, 90k tbc
    Metadata:
      title           : TV Thumbnail
    Stream #0:2[0xc]: Audio: mp2 (P[0][0][0] / 0x0050), 48000 Hz, stereo, s16p, 256 kb/s
    Stream #0:3[0xd]: Video: mpeg2video (Main), yuv420p, 720x576 [SAR 16:15 DAR 4:3], 25 fps, 25 tbr, 10000k tbn, 50 tbc

There has GOT to be an easier and more STRUCTURED way to do this.

comment:60 in reply to: ↑ 59 Changed 3 years ago by cehoyos

Replying to ramitbhalla:

FYI - using map 0:v:0 does NOT work always.

Of course not!
Was this ever claimed by anybody?

comment:61 Changed 3 years ago by dodgexander

Was this ever claimed by anybody?

Does this matter? All we are looking to do is solve a problem.

With all due respect, can you actually help us rather than directing sly off-topic comments? Its becoming diabolical the way you speak to people, if there was only a way to make a complaint..

If you can't, can you direct us to someone who can.

Thanks.

Last edited 3 years ago by dodgexander (previous) (diff)

comment:62 Changed 3 years ago by dodgexander

Any news on this? Still awaiting a solution or explanation. Would be nice if mjpeg was flagged as an attachment again, how can this be achieved?

comment:63 Changed 3 years ago by cehoyos

Please test if Michael's patch fixes the problem for you, so this ticket can be closed finally.

comment:64 Changed 3 years ago by dodgexander

Could do with some information on how to apply the patch, because that is beyond ramit or my scope asfaik.

The builds we are using are pre-compiled.

Thanks

comment:65 Changed 3 years ago by cehoyos

I always use "patch -p1", I believe the recommended way is "git am" but winmerge will of course work as well.

comment:66 Changed 3 years ago by ramitbhalla

@cehoyos - you are talking about the patch Michael is referring to. Where can I get this patch? Rogerdpack has graciously offered to build me a test build with the patch but I don't know where the patch can be found.

Can you please post me a link to it or attach it to this thread.

comment:67 Changed 3 years ago by rogerdpack

Was Michael's patch mentioned here committed? If not could somebody point me to the ML where it is located somewhere? thanks.
-roger-

comment:68 Changed 3 years ago by pross

The stream containing the thumbnail is marked with the AV_DISPOSITION_ATTACHED_PIC flag. This is accessible through the avformat.h programming interface.

comment:69 Changed 3 years ago by ramitbhalla

There has to be some way to NOT put this as a video stream (it just simply breaks -map 0:v everywhere) and flag it some other way.

comment:70 Changed 13 months ago by cehoyos

  • Component changed from undetermined to ffmpeg
  • Priority changed from normal to wish
  • Resolution set to fixed
  • Status changed from new to closed
  • Type changed from defect to enhancement
  • Version changed from unspecified to git-master

This may have been fixed by Marton Balint in 26a0cd1b4b093f3f6e4f15d28a282ec45b87bb98

Note: See TracTickets for help on using tickets.